TechDraw DiameterDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
mNo edit summary
Line 35: Line 35:
<!--T:10-->
<!--T:10-->
# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Press the {{Button|[[Image:TechDraw_DiameterDimension.svg|16px]] [[TechDraw_DiameterDimension|Diameter Dimension]]}} button
# Press the {{Button|[[Image:TechDraw_DiameterDimension.svg|16px]] [[TechDraw_DiameterDimension|Insert Diameter Dimension]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].

Revision as of 10:52, 24 July 2023

TechDraw DiameterDimension

Menu location
TechDraw → Dimensions → Insert Diameter Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw RadiusDimension

Description

The TechDraw DiameterDimension tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring a circle, indicating the diameter

Usage

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the Insert Diameter Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Diameter Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)